{% extends 'email/base_email.html.twig' %}

{% set account = userInvitation.getAccount() %}

{% block body %}
    <div id="body">
        <p>
            {% if userInvitation.getSalutation() is not null and userInvitation.getSalutation().name == 'HERR' %}
                Sehr geehrter Herr {{ userInvitation.getLastName() }},
            {% elseif userInvitation.getSalutation() is not null and userInvitation.getSalutation().name == 'FRAU' %}
                Sehr geehrte Frau {{ userInvitation.getLastName() }},
            {% elseif userInvitation.getSalutation() is not null and userInvitation.getSalutation().name == 'DIVERS' %}
                Hallo {{ userInvitation.getFirstName() }} {{ userInvitation.getLastName() }},
            {% else %}
                Hallo {{ userInvitation.getFirstName() }} {{ userInvitation.getLastName() }},
            {% endif %}
        </p>
        <p>
            {% if (userInvitation.getUserRegistrationType().name == 'PROVIDER' ) %}
                die {{ account.getName() }} lädt Sie ein, Ihr(e) Gewerbeimmobilienangebot(e) in der Leerstands- und Ansiedlungsmanagementplattform LeAn® einzustellen.
                In der Plattform verwaltet die {{ account.getName() }} Ansiedlungsgesuche von Unternehmen,
                die sich in {{ account.getAssignedPlace().getPlaceName() }} ansiedeln möchten oder deutschlandweit auf der Suche nach passenden Flächen sind.
                <br/>
                Über ein Matching werden passende Nutzer:innen für Ihre Angebote identifiziert und der Kontakt zu Ihnen als Anbieter hergestellt.
                <br/>
                Um Ihren Account einzurichten klicken, Sie bitte auf den untenstehenden Button und folgen den weiteren Schritten.
                Nach erfolgreicher Registrierung können Sie sich unter
                <a href="https://{{ account.getAppHostname() }}">https://{{ account.getAppHostname() }}</a>
                mit Ihren Zugangsdaten anmelden und Ihr Angebot erfassen.
                <br>
                <br>
                Sind Sie gewerblich anbietendes Unternehmen, können Sie dabei auch Angebote per OpenImmo-Schnittstelle aus Ihrer Maklersoftware übertragen.
            {% else %}
                die {{ account.getName() }} lädt Sie ein, Ihr Ansiedlungsgesuch in der Leerstands- und Ansiedlungsmanagementplattform LeAn® einzustellen.
                Wenn es passende Immobilienangebote zu Ihrem Gesuch gibt, wird Ihnen die {{ account.getName() }} ein entsprechendes Exposé zusenden.
                <br/>
                Um Ihren Account einzurichten, klicken Sie bitte auf den untenstehenden Button und folgen den weiteren Schritten.
                Nach erfolgreicher Registrierung können Sie sich unter
                <a href="https://{{ account.getAppHostname() }}">https://{{ account.getAppHostname() }}</a>
                mit Ihren Zugangsdaten anmelden und Ihr Ansiedlungsgesuch erfassen.
            {% endif %}
            <br/>
            Für Rückfragen stehen wir Ihnen gerne zur Verfügung.
        </p>
        <table class="btn btn-primary">
            <tbody>
            <tr>
                <td>
                    <table>
                        <tbody>
                        <tr>
                            <td><a href="{{ url('user_registration_register_with_invitation', {'userInvitationUuid': userInvitation.getUuid()}) }}" target="_blank">Account einrichten</a></td>
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            </tbody>
        </table>
        <p>
            Mit freundlichen Grüßen,<br>
            Ihr Team der {{ account.getName() }}
        </p>
    </div>
{% endblock %}
